> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare Solana Transaction Authentication

> Generate transaction for Solana wallet-based authentication using transaction signing



## OpenAPI

````yaml /openapi/alerts.json post /v2/auth/solana-tx/prepare
openapi: 3.1.0
info:
  title: Dialect Alerts V2 API
  description: >-
    Notification infrastructure for real-time alert delivery through multiple
    channels including in-app notifications, email, push notifications, and
    Telegram.
  version: 2.2.0-beta
servers:
  - url: https://alerts-api.dial.to
    description: Dialect Production
  - url: https://alerts.dialectapi.to
    description: Dialect Production
security: []
paths:
  /v2/auth/solana-tx/prepare:
    post:
      tags:
        - Integrate an Inbox
      summary: Prepare Solana Transaction Authentication
      description: >-
        Generate transaction for Solana wallet-based authentication using
        transaction signing
      operationId: prepareSolanaTxAuth
      parameters:
        - name: X-Dialect-Client-Key
          in: header
          schema:
            type: string
            description: Client Key used to uniquely identify the client
            example: dk_gyh2eqzfkc4mhp5eiahnndkz
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                walletAddress:
                  type: string
                  description: User wallet address
                  example: 6CxnSjtasq5Tzwb4b93AhLofXtiDvMpQ2vTkWdSZqTH7
              required:
                - walletAddress
      responses:
        '200':
          description: Transaction generated for signing
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction:
                    type: string
                    description: Base64-encoded transaction to be signed by the user
                required:
                  - transaction
        '400':
          description: Request validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                required:
                  - error

````